<template>
  <div class="dashboard-page-container pb-5">
    <h1 class="page-title">Manage Cards</h1>
    <div class="mt-4">
      <div class="card w-100">
        <div class="row justify-content-between align-items-center">
          <div class="col-sm-12 col-md-4">
            <div class="group">
              <p class="text-muted m-0">Card Number</p>
              <h3 class="fw-bold">**** **** **** 4321</h3>
            </div>
            <div class="group">
              <p class="text-muted m-0">Available Balance</p>
              <h3 class="fw-bold">₦ 46,675.00</h3>
            </div>
            <div class="mt-4">
              <div class="row align-items-center">
                <div class="col-sm-12 col-md-6">
                  <button class="btn btn-primary btn-lg h6 w-100 fw-bold">
                    Card Settings
                  </button>
                </div>
                <div class="col-sm-12 col-md-6">
                  <p class="text-primary fw-bold">Transaction History</p>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-4">
            <div class="mt-3">
              <DebitCard />
            </div>
          </div>
        </div>
      </div>
      <div class="card w-100 mt-4">
        <div class="row justify-content-between align-items-center">
          <div class="col-sm-12 col-md-4">
            <div class="group">
              <p class="text-muted m-0">Card Number</p>
              <h3 class="fw-bold">**** **** **** 4321</h3>
            </div>
            <div class="group">
              <p class="text-muted m-0">Available Balance</p>
              <h3 class="fw-bold">₦ 46,675.00</h3>
            </div>
            <div class="mt-4">
              <div class="row align-items-center">
                <div class="col-sm-12 col-md-6">
                  <button class="btn btn-primary btn-lg h6 w-100 fw-bold">
                    Card Settings
                  </button>
                </div>
                <div class="col-sm-12 col-md-6">
                  <p class="text-primary fw-bold">Transaction History</p>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-4">
            <div class="mt-3">
              <DebitCard />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import TransferBetweenAccounts from '@/assets/icons/transfer-between-accounts.svg?inline'
// import TransferToCorebankAccount from '@/assets/icons/transfer-to-corebank-account.svg?inline'
// import TransferToOtherBanks from '@/assets/icons/transfer-to-other-banks.svg?inline'

export default {
  layout: 'dashboard',
  components: {},
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-page-container {
  .choose-transfer-type-card,
  .fill-beneficiary-details {
    background: #ffffff;
    border-radius: 20px;

    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
}
</style>
